IEEE80211_TX_INFO_CL(9)

NAME
ieee80211_tx_info_clear_status - clear TX status

SYNOPSIS

void ieee80211_tx_info_clear_status(struct ieee80211_tx_info * info);

ARGUMENTS

info
    The struct ieee80211_tx_info to be cleared.

DESCRIPTION

When the driver passes an skb back to mac80211, it must report a number of things in TX status. This function clears everything in the TX status but the rate control information (it does clear the count since you need to fill that in anyway).

NOTE

You can only use this function if you do NOT use info->driver_data! Use info->rate_driver_data instead if you need only the less space that allows.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT